#!/usr/bin/env bash

set -eo pipefail

if [ -z "$AWS_ACCESS_KEY_ID_FILE" ]; then
  export AWS_ACCESS_KEY_ID
  export AWS_ACCESS_KEY_ID=$(cat "$AWS_ACCESS_KEY_ID_FILE")
fi

if [ -z "$AWS_SECRET_ACCESS_KEY_FILE" ]; then
  export AWS_SECRET_ACCESS_KEY
  export AWS_SECRET_ACCESS_KEY=$(cat "$AWS_SECRET_ACCESS_KEY_FILE")
fi

s3cmd "$@"
